local M = {}
Winning_Constants = M

M.ADDON_DEBUG = false

M.ADDON_VERSION = "1.2.1"

M.PVP_TYPE_ALL = "All"
M.PVP_TYPE_CASUAL = "Casual"
M.PVP_TYPE_RATED = "Rated"

M.PVP_TIME_ALL = "All"
M.PVP_TIME_SEASON = "This Season"
M.PVP_TIME_SIX_HOURS = "Last 6 Hours"

M.HEALING_SPECS = {
    -- Druid
    -- Shaman
    ["Restoration"] = true,

    -- Pally
    -- Priest
    ["Holy"] = true,

    -- Priest (pt2)
    ["Discipline"] = true,

    -- Monks
    ["Mistweaver"] = true,
}

M.CLASS_SPEC_DISPLAY_LABEL = {
	["DEATHKNIGHT"] = {
		["Blood"]         = "Blood",
		["Frost"]         = "Frost DK",
		["Unholy"]        = "Unholy",
	},
	["DRUID"] = {
		["Balance"]       = "Moonkin",
		["Feral"]         = "Feral",
		["Guardian"]      = "Bear",
		["Restoration"]   = "Resto Druid",
	},
	["HUNTER"] = {
		["Beast Mastery"] = "Beast Master",
		["Marksmanship"]  = "Marksman",
		["Survival"]      = "Survival",
	},
	["MAGE"] = {
		["Arcane"]        = "Arcane",
		["Fire"]          = "Fire",
		["Frost"]         = "Frost Mage",
	},
	["MONK"] = {
		["Brewmaster"]    = "Brewmaster",
		["Mistweaver"]    = "Mistweaver",
		["Windwalker"]    = "Windwalker",
	},
	["PALADIN"] = {
		["Holy"]          = "Holy Pally",
		["Protection"]    = "Prot Pally",
		["Retribution"]   = "Ret",
	},
	["PRIEST"] = {
		["Discipline"]    = "Disc",
		["Holy"]          = "Holy Priest",
		["Shadow"]        = "Shadow",
	},
	["ROGUE"] = {
		["Assassination"] = "Mute Rogue",
		["Combat"]        = "Combat Rogue",
		["Subtlety"]      = "Sub Rogue",
	},
	["SHAMAN"] = {
		["Elemental"]     = "Ele Shaman",
		["Enhancement"]   = "Enhance Shaman",
		["Restoration"]   = "Resto Shaman",
	},
	["WARLOCK"] = {
		["Affliction"]    = "Affliction",
		["Demonology"]    = "Demo",
		["Destruction"]   = "Destro",
	},
	["WARRIOR"] = {
		["Arms"]          = "Arms",
		["Fury"]          = "Fury",
		["Protection"]    = "Prot Warr",
	},
	["DEMONHUNTER"] = {
		["Havoc"]         = "Havoc",
		["Vengeance"]     = "Vengeance",
	},
}


M.CLASS_COLORS = {
	["DEATHKNIGHT"] = "\124cFFC41F3B",
	["DRUID"]       = "\124cFFFF7D0A",
	["HUNTER"]      = "\124cFFABD473",
	["MAGE"]        = "\124cFF69CCF0",
	["MONK"]        = "\124cFF00FF96",
	["PALADIN"]     = "\124cFFF58CBA",
	["PRIEST"]      = "\124cFFFFFFFF",
	["ROGUE"]       = "\124cFFFFF569",
	["SHAMAN"]      = "\124cFF0070DE",
	["WARLOCK"]     = "\124cFF9482C9",
	["WARRIOR"]     = "\124cFFC79C6E",
	["DEMONHUNTER"] = "\124cFF9482C9",
}


M.COLORS = {
    ["blue"] = "\124cFF00A9FF",
    ["green"] = "\124cFF00FF00",
    ["red"] = "\124cFFFF141D",
}

return M
